package sun.management.snmp.jvminstr;

import com.sun.jmx.snmp.SnmpStatusException;
import java.lang.management.ManagementFactory;
import java.lang.management.OperatingSystemMXBean;
import javax.management.MBeanServer;
import com.sun.jmx.snmp.agent.SnmpMib;
import java.io.Serializable;
import sun.management.snmp.jvmmib.JvmOSMBean;

public class JvmOSImpl implements JvmOSMBean, Serializable
{
    static final long serialVersionUID = 1839834731763310809L;
    
    public JvmOSImpl(SnmpMib snmpMib) {
    }
    
    public JvmOSImpl(SnmpMib snmpMib, MBeanServer mBeanServer) {
    }
    
    static OperatingSystemMXBean getOSMBean() {
        return ManagementFactory.getOperatingSystemMXBean();
    }
    
    private static String validDisplayStringTC(String s) {
        return JVM_MANAGEMENT_MIB_IMPL.validDisplayStringTC(s);
    }
    
    private static String validJavaObjectNameTC(String s) {
        return JVM_MANAGEMENT_MIB_IMPL.validJavaObjectNameTC(s);
    }
    
    public Integer getJvmOSProcessorCount() throws SnmpStatusException {
        return new Integer(getOSMBean().getAvailableProcessors());
    }
    
    public String getJvmOSVersion() throws SnmpStatusException {
        return validDisplayStringTC(getOSMBean().getVersion());
    }
    
    public String getJvmOSArch() throws SnmpStatusException {
        return validDisplayStringTC(getOSMBean().getArch());
    }
    
    public String getJvmOSName() throws SnmpStatusException {
        return validJavaObjectNameTC(getOSMBean().getName());
    }
}
